2008/03/11

Com utilitzar extensions no suportades a Firefox

L'Oriolsbdem demanava temes de compatibilitat d'extensions a Firefox a l'anterior article. Aquí té la resposta!

A Firefox. una extensió no suportada (deprecated en anglès) és una extensió que es va escriure per una versió anterior i que ja no s'accepta a l'actual

Aquest comportament es degut a que quan apareix una nova versió de Firefox es probable que hi hagin hagut grans canvis que fan que les extension no funciona. Això va passar al passar de la versió 1.5.x.y a 2.0.x.y i passarà de 2.0.x.y a 3.0.x.y (si els valors x.y canvien no es considera un canvi important i no afecta a les extensions)

Aquest és un truc força simple que us pot servir quan apareixen version noves de Firefox i de sobte hi ha extensions que deixen de funcionar. Moltes d'aquestes es possible que funcionin pq els canvis a la nova versió no afecten el seu comportament.

Per fer-ho heu de seguir aquests senzills passos:

  1. escriviu about:config a la barra d'adreces i accepteu continuar si us avisa que es perillós.
  2. Cliqueu amb el botó dret i seleccioneu Nou/Booleà.
  3. Entreu com a nom de la preferència extensions.checkCompatibility (exactament així!)
  4. Entreu com a valor false.
  5. Tanqueu la pestanya de about:config
image

Ara si aneu al menu dels vostres Complements (o Extensions) i veureu que ara us les deixarà habilitar.

image

Tingueu present que hi ha extensions que seguiren sense funcionar, però moltes si que ho faran. Tot es qüestió de provar-ho.

Podeu veure l'explicació d'aquesta preferència de Firefox a Mozillazine.

2 comentaris:

  1. Moltes gràcies, Tonino. :-)

    ResponElimina
  2. Hola Tonino, a mi el que m'agradaria saber es si coneixes algun programa que testegi els ports serie d'un ordinador. En coneixes algun? Ja sé que les llibreries APRO tenen algo així però jo el que necessito és un d'algun maxaca que se l'hagi currat ell mateix... :P

    ResponElimina